{ pkgs, ... }:
{
	programs.firefox = {
		# package = pkgs.librewolf;
		# package = pkgs.firefox-wayland;
		profiles."main" = {
			id = 0;
			bookmarks = {
				"github".url = "https://github.com";
			};
			settings = {
				"extensions.pocket.enabled" = false;
				#----
				"browser.tabs.unloadOnLowMemory" = false;
				# to enable userChrome
				"toolkit.legacyUserProfileCustomizations.stylesheets" = true;
				#----
				"browser.newtabpage.activity-stream.showSponsoredTopSites" = false;
				"browser.newtabpage.activity-stream.showSponsored" = false;
			};
			userChrome = ''
@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

// about:config - toolkit.legacyUserProfileCustomizations.stylesheets

// tab-toolbar - all versions
#titlebar {
	display: none;
}
#tabbrowser-tabs,
#TabsToolbar,
#main-window:not([tabsintitlebar="true"]) #TabsToolbar {
	visibility: collapse !important;
}
// hide sidebar-headers (Tree Style Tab)
#sidebar-header {
	display: none;
}
#sidebar-box[sidebarcommand="treestyletab_piro_sakura_ne_jp-sidebar-action"] #sidebar-header {
	display: none;
}

#main-window[tabsintitlebar="true"]:not([extradragspace="true"]) #TabsToolbar > .toolbar-items {
	opacity: 0;
	pointer-events: none;
}

			'';
		};
	};
}
